
QGIS Application - Bug report #15850

QGIS 2.18 - Randon points inside polygon (variable) - Not working

2016-11-15 09:59 AM - Hugo Nicolau Barbosa de Gusmão

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23768

Description

I tried using real numbers, integers, integers 64 and the error persists.

"Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\processing\\algs\\qgis\\RandomPointsPolygonsVariable.py", line 96,

in processAlgorithm

                pointCount = int(f[fieldName])

            TypeError: int() argument must be a string or a number, not 'QPyNullVariant'"

Associated revisions

Revision 5c521db9 - 2017-04-28 03:08 PM - Alexander Bruy

[processing] handle NULL fields in the Random Points in Polygons (fix #15850)

History

#1 - 2016-11-15 10:36 AM - Hugo Nicolau Barbosa de Gusmão

Same error in 2.16.3:

    -  File "C:/PROGRA~1/QGIS2~1.16/apps/qgis/./python/plugins\\processing\\algs\\qgis\\RandomPointsPolygonsVariable.py", line 96, in processAlgorithm

                pointCount = int(f[fieldName])

            TypeError: int() argument must be a string or a number, not 'QPyNullVariant'*

#2 - 2017-02-15 05:21 PM - Hugo Nicolau Barbosa de Gusmão

Same error in 2.18.3

#3 - 2017-04-27 05:59 AM - Alexander Bruy

- Operating System deleted (Windows 10)

- Category set to Processing/QGIS

- Target version deleted (Version 2.18)

- OS version deleted (64bits)

#4 - 2017-04-28 05:59 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"5c521db9670d44529c8d7f434b7408e53173379a".
